Inkoop / uitgaven

Inkoop / uitgaven

Inkoopfacturen en uitgaven ophalen en aanmaken. Scope: expenses.read / expenses.write.

Uitgaven ophalen

GET /v1/expenses
expenses.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Naam Type Beschrijving
page integer
per_page integer
Request body

Geen

Response
data object[]
meta object[]

Examples

GET /v1/expenses
curl -X GET "https://api.appficient.nl/v1/expenses" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

Uitgave aanmaken

POST /v1/expenses
expenses.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body
supplier_guid string
Example: b2c3d4e5-f6a7-8901-bcde-f12345678901
title string
Example: Materialen
Response
data object
guid string
Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
meta object[]

Examples

POST /v1/expenses
curl -X POST "https://api.appficient.nl/v1/expenses" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "supplier_guid": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "title": "Materialen"
}'

Curl, Node en response staan rechts naast dit endpoint.

Uitgave ophalen

GET /v1/expenses/{id}
expenses.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string Resource id (UUID, lowercase)
Request body

Geen

Response
data object Required
id string
number string
title string
invoice_date string
total_incl_vat number
supplier_id string
rows array
name string
quantity number
unit_price number
vat_rate number
total_excl_vat number
meta object Required

Examples

GET /v1/expenses/{id}
curl -X GET "https://api.appficient.nl/v1/expenses/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.